### Hierarchy

- JsonFormsBaseRenderer
  - CategoryRenderer

## Index

### Constructors

- constructor

### Properties

- elements
- label
- path
- schema
- uischema

### Methods

- getOwnProps

## Constructors

### constructor

- new CategoryRenderer(navParams: NavParams): CategoryRenderer

- - Defined in layouts/categorization/category/category.ts:17

  #### Parameters

  - ##### navParams: NavParams

  #### Returns CategoryRenderer

## Properties

### elements

elements: any[]

- Defined in layouts/categorization/category/category.ts:17

### label

label: string

- Defined in layouts/categorization/category/category.ts:16

### path

path: string

Inherited from JsonFormsBaseRenderer.path

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:5

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:4

### uischema

uischema: UISchemaElement

Inherited from JsonFormsBaseRenderer.uischema

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:3

## Methods

### Protected getOwnProps

- getOwnProps(): OwnPropsOfRenderer

- Inherited from JsonFormsBaseRenderer.getOwnProps

  - Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:6

  #### Returns OwnPropsOfRenderer

Generated using TypeDoc